# Retrieve a site ID from an item ID

Retrieves the site ID associated with a specific item ID. This is useful for determining which site an item belongs to.

Endpoint: GET /api/v1/sites/site-id-from-item/{itemId}
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `itemId` (string, required)
    The unique identifier of the item.

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `siteRootItemId` (string)
    The unique identifier of the site root item.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `siteRootDisplayName` (string)
    The display name of the site root.
    Example: Skate Park

  - `siteRootName` (string)
    The name of the site root.
    Example: Skate Park

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

